
# Data shown is as follows:
# "Name of Grain" // extract potential (%) // deg.L  // pts/lb/gal
#
# pts/lb/gal (ppg) == extract_potential * 46.31
#    e.g., for 2-row:  .795 * 46.31 == 36.82 (rounded to 2 dec. places)
#
# Sources:  Briess, Gambrinus (courtesy of certifiedfoods.com),
# Belgian grains (Brewing Techniques), (Crisp) Maris Otter (vendor site)
# Data for German Pils malt from Weyermann et al.
#
# Global Kolsch Malt efficiency stats same as Pils malt per NB posts;
# No typical analysis found by Northern Brewer folks or by me.
# Color (in SRM) per NB

set newgrains() [list]
set oldgrains() [list]
set grains() [list]

proc newgrain {name yield color ppg} {
   global grains newgrains
   lappend grains() $name
   set grains($name) [list $ppg $color]
   lappend newgrains() $name
   set newgrains($name) [list $ppg $color]
}

proc oldgrain {name yield color ppg} {
   global grains oldgrains
   lappend grains() $name
   set grains($name) [list $ppg $color]
   lappend oldgrains() $name
   set oldgrains($name) [list $ppg $color]
}


newgrain "Briess 2 Row" .795 1.8 36.82
newgrain "Briess 6 Row" .765 1.8 35.43
newgrain "Briess Aromatic" .770 20.0 35.66
newgrain "Briess Ashburne Mild" .770 5.3 35.66
newgrain "Briess Barley Flakes" .700 1.4 32.42
newgrain "Briess Black Barley" .700 500 32.42
newgrain "Briess Black Malt" .700 500 32.42
newgrain "Briess Bonlander Munich" .760 10.0 35.20
newgrain "Briess CaraPils" .730 1.3 33.81
newgrain "Briess Caramel 10" .750 10.0 34.73
newgrain "Briess Caramel 20" .730 20.0 33.81
newgrain "Briess Caramel 40" .730 40.0 33.81
newgrain "Briess Caramel 60" .730 60.0 33.81
newgrain "Briess Caramel 80" .720 80.0 33.34
newgrain "Briess Caramel 90" .720 90.0 33.34
newgrain "Briess Caramel 120" .700 120.0 32.42
newgrain "Briess Caramel Munich 60L" .730 60.0 33.81
newgrain "Briess Caramel Vienne 20L" .755 20.0 34.96
newgrain "Briess Chocolate" .730 350 33.81
newgrain "Briess Dark Chocolate" .720 420 33.34
newgrain "Briess Extra Special Malt" .730 130.0 33.81
newgrain "Briess Munich 10" .760 10.0 35.20
newgrain "Briess Munich 20" .740 20.0 34.27
newgrain "Briess Oat Flakes" .700 2.5 32.42
newgrain "Briess Pale Ale" .785 3.5 36.35
newgrain "Briess Pilsen" .780 1.0 36.12
newgrain "Briess Red Wheat Flakes" .700 2.0 32.42
newgrain "Briess Red Wheat" .840 2.5 38.90
newgrain "Briess Rice Flakes" .600 1.0 27.79
newgrain "Briess Rice Hulls" 0 0 0
newgrain "Briess Roasted Barley" .720 300 33.34
newgrain "Briess Rye Flakes" .710 3.0 32.88
newgrain "Briess Rye" .760 3.7 35.20
newgrain "Briess Smoked Malt" .795 5.0 36.82
newgrain "Briess Special Roast" .720 50.0 33.34
newgrain "Briess Torrified Wheat" .760 1.5 35.20
newgrain "Briess Victory Malt" .730 28.0 33.81
newgrain "Briess Vienna" .765 3.5 35.43
newgrain "Briess Wheat" .840 2.5 38.90
newgrain "Briess White Wheat" .790 2.3 36.58
newgrain "Briess Yellow Corn Flakes" .750 0.8 34.73
newgrain "Castle Belgian Aromatic" 0.8 21 37.048
newgrain "Castle Belgian Biscuit" 0.7 27 32.417
newgrain "Castle Belgian Caramel Munich" 0.7 45 32.417
newgrain "Castle Belgian Caramel Pilsner" 0.65 8 30.1015
newgrain "Castle Belgian Caramel Vienne" 0.7 20 32.417
newgrain "Castle Belgian Chocolate" 0.65 380 30.1015
newgrain "Castle Belgian De-bittered Black" 0.65 600 30.1015
newgrain "Castle Belgian Munich" 0.8 6.5 37.048
newgrain "Castle Belgian Pale Ale" 0.8 3.8 37.048
newgrain "Castle Belgian Pilsner" 0.81 1.8 37.5111
newgrain "Castle Belgian Special B" 0.65 155 30.1015
newgrain "Crisp Amber" 0.8 30 0.0
newgrain "Crisp Black" 0.75 680 34.7325
newgrain "Crisp Brown" 0.765 65 35.42715
newgrain "Crisp Cara Malt" 0.76 17.5 35.1956
newgrain "Crisp Chocolate" 0.77 630 35.6587
newgrain "Crisp Clarity" 0.825 2.25 38.20575
newgrain "Crisp Crystal 15" 0.76 15 0.0
newgrain "Crisp Crystal 60" 0.76 60 0.0
newgrain "Crisp Crystal Dark 77" 0.76 77 0.0
newgrain "Crisp Crystal Extra Dark 120" 0.76 120 0.0
newgrain "Crisp Crystal Light 45" 0.76 45 0.0
newgrain "Crisp Euro Pils" 0.825 1.25 38.20575
newgrain "Crisp Glen Eagle's Maris Otter" 0.826 3.5 38.25206
newgrain "Crisp Maris Otter" 0.825 3.75 38.20575
newgrain "Crisp Munich Malt" 0.8 3.5 0.0
newgrain "Crisp Pale Ale" 0.825 3.0 38.20575
newgrain "Crisp Pale Chocolate" 0.77 225 35.6587
newgrain "Crisp Roasted Barley" 0.765 695 35.42715
newgrain "Crisp Wheat Malt" 0.825 5.4 38.20575
newgrain "Franco-Belges Caramel Amber Malt" .77 34 35.6587
newgrain "Franco-Belges Caramel Munich 40" .75 40 34.7325
newgrain "Franco-Belges Caramel Munich 60" .75 60 34.7325
newgrain "Franco-Belges Caramel Munich 80" .75 80 34.7325
newgrain "Franco-Belges Caramel Munich 120" .75 120 34.7325
newgrain "Franco-Belges Caramel Pilsen Malt" .85 10 39.3635
newgrain "Franco-Belges Caramel Vienna Malt" .77 21 35.6587
newgrain "Franco-Belges Caramel Wheat Malt" .78 26.5 36.1218
newgrain "Franco-Belges Dark Munich" .795 14 36.81645
newgrain "Franco-Belges Munich" .795 7 36.81645
newgrain "Franco-Belges Pale Ale" .80 3.25 37.048
newgrain "Franco-Belges Pilsen" .80 1.7 37.048
newgrain "Franco-Belges Special Aromatic" .80 4.25 37.048
newgrain "Franco-Belges Vienna" .80 3.25 37.048
newgrain "Franco-Belges Wheat" .85 1.9 39.3635
newgrain "Gambrinus ESB" .82 3.5 37.9742
newgrain "Gambrinus Honey Malt" .83 22.5 38.4373
newgrain "Gambrinus Munich 10" .80 10 37.0480
newgrain "Gambrinus Munich 30" .80 32.5 37.0480
newgrain "Gambrinus Pale" .82 1.75 37.9742
newgrain "Gambrinus Pils" .82 1.55 37.9742
newgrain "Gambrinus Vienna" .825 3.5 38.20575
newgrain "Gambrinus Wheat" .84 2.3 38.9004
newgrain "Rahr Pale Ale" 0.79 3.5 36.5849
newgrain "Rahr Premium Pilsner" 0.8 1.75 37.048
newgrain "Rahr Red Wheat" 0.85 3.25 39.3635
newgrain "Rahr Standard 2-Row" 0.8 1.85 37.048
newgrain "Rahr Standard 6-Row" 0.79 2.35 36.5849
newgrain "Rahr White Wheat" 0.85 3.25 39.3635
newgrain "Weyermann Beechwood Smoked" .795 2.75 36.8164
newgrain "Weyermann Bohemian Pilsner" .80 3.0 37.05
newgrain "Weyermann CaraFoam" .795 1.75 36.8164
newgrain "Weyermann CaraHell" .765 9.95 35.4271
newgrain "Weyermann CaraMunich I" .76 39 35.1956
newgrain "Weyermann CaraMunich II" .76 45.5 35.1956
newgrain "Weyermann CaraMunich III" .76 56.5 35.1956
newgrain "Weyermann Carafa I" .70 337.5 32.417
newgrain "Weyermann Carafa II" .70 412.5 32.417
newgrain "Weyermann Carafa III" .70 525.5 32.417
newgrain "Weyermann Caramel Wheat" .755 45.5 34.9640
newgrain "Weyermann Chocolate Rye" .675 244.0 31.2592
newgrain "Weyermann Chocolate Wheat" .71 412.5 32.8801
newgrain "Weyermann DH Carafa I" .70 337.5 32.417
newgrain "Weyermann DH Carafa II" .70 412.5 32.417
newgrain "Weyermann DH Carafa III" .70 469.0 32.417
newgrain "Weyermann Dark Munich" .815 9.0 37.7426
newgrain "Weyermann Dark Wheat" .84 6.55 38.9004
newgrain "Weyermann Light Munich" .80 12.0 37.05
newgrain "Weyermann Light Wheat" .85 2.0 39.3635
newgrain "Weyermann Melanoidin Malt" .795 26.5 36.8164
newgrain "Weyermann Pilsner" .815 1.6 37.7426
newgrain "Weyermann Rye Malt" .85 2.65 39.3635
newgrain "Weyermann Vienna" .815 2.9 37.7426

# Old names for backwards compatibility only

oldgrain "2-Row"                .795    1.8     36.82
oldgrain "German Pilsner 2-Row" .81     1.7     37.51
oldgrain "WeyermannBohemianPls" .80     3.0     37.05
oldgrain "WeyermannLightMunich" .80    12.0     37.05
oldgrain "Weyermann Pilsner"                 .815     1.6     37.7426
oldgrain "Weyermann Vienna"                  .815     2.9     37.7426
oldgrain "WeyermannDarkMunich"             .815     9.0     37.7426
oldgrain "Global Kolsch Malt"   .81     4.5     37.51
oldgrain "Franco Belges Pilsen" .835    1.6     38.67
oldgrain "6-Row"                .765    1.8     35.43
oldgrain "Maris Otter(UK)"      .825    3.5     38.21
oldgrain "Wheat Malt"           .840    2.5     38.90
oldgrain "Pilsen"               .780    1.0     36.12
oldgrain "Gambrinus Pale"       .82     1.75    37.9742
oldgrain "Gambrinus Pils"       .82     1.55    37.9742
oldgrain "Gambrinus ESB"        .82     3.5     37.9742
oldgrain "Gambrinus Wheat"      .84     2.3     38.9004
oldgrain "Gambrinus Honey"      .83    22.5     38.4373
oldgrain "Gambrinus Munich 10"  .80     10      37.0480
oldgrain "Gambrinus Munich 30"  .80    32.5     37.0480
oldgrain "Gambrinus Vienna"     .825    3.5     38.20575
oldgrain "Vienna"               .765    3.5     35.43
oldgrain "Pale Ale"             .785    3.5     36.35
oldgrain "Ashburne Mild"        .770    5.3     35.66
oldgrain "BonlanderMunich"      .760    10.0    35.20
oldgrain "Aromatic/Munich"      .770    20.0    35.66
oldgrain "Munich 10L"           .760    10.0    35.20
oldgrain "Munich 20L"           .740    20.0    34.27
oldgrain "Smoked Malt"          .795    5.0     36.82
oldgrain "CaraPils Malt"        .730    1.3     33.81
oldgrain "Caramel 10L"          .750    10.0    34.73
oldgrain "Caramel 20L"          .730    20.0    33.81
oldgrain "Caramel 30L"          .730    30.0    33.81
oldgrain "Caramel 40L"          .730    40.0    33.81
oldgrain "Caramel 60L"          .730    60.0    33.81
oldgrain "Caramel 80L"          .720    80.0    33.34
oldgrain "Caramel 90L"          .720    90.0    33.34
oldgrain "Caramel 120L"         .700    120.0   32.42
oldgrain "Caramel 135L"         .700    135.0   32.42
oldgrain "Cara-Vienne 20L"      .755    20.0    34.96
oldgrain "Cara-Munich 60L"      .730    60.0    33.81
oldgrain "Victory"              .730    28.0    33.81
oldgrain "Special Roast"        .720    50.0    33.34
oldgrain "Extra Special"        .730    130.0   33.81
oldgrain "Rye"                  .760    3.7     35.20
oldgrain "Chocolate"            .730    350     33.81
oldgrain "Dark Chocolate"       .720    420     33.34
oldgrain "Black Malt"           .700    500     32.42
oldgrain "Roasted Barley"       .720    300     33.34
oldgrain "Black Barley"         .700    500     32.42
oldgrain "Barley Flakes"        .700    1.4     32.42
oldgrain "YellowCornFlakes"     .750    0.8     34.73
oldgrain "Oat Flakes"           .700    2.5     32.42
oldgrain "Rice Flakes"          .600    1.0     27.79
oldgrain "RedWheatFlakes"       .700    2.0     32.42
oldgrain "Rye Flakes"           .710    3.0     32.88
oldgrain "Torrified Wheat"      .760    1.5     35.20
oldgrain "Belgian Pils"         .771    1.83    35.71
oldgrain "Belgian Pale Ale"     .778    3.2     36.03
oldgrain "Belgian Wheat"        .832    1.7     38.53
oldgrain "Belgian Munich"       .786    7.83    36.40
oldgrain "BelgianAromatic"      .780    25.7    36.12
oldgrain "Belg. CaraPils"       .703    7.87    32.56
oldgrain "Belg.CaraVienne"      .721    21.65   33.39
oldgrain "Belg.CaraMunich"      .721    72.0    33.39
oldgrain "BelgianSpecialB"      .663    221.0   30.70
oldgrain "BelgianChoc."         .659    498     30.52
oldgrain "BelgianBiscuit"       .767    22.5    35.52
oldgrain "Weyermann CaraFoam"                .795     1.75    36.8164
oldgrain "Weyermann CaraHell"                .765     9.95    35.4271
oldgrain "Weyer.CaraMunich I"            .76      39      35.1956
oldgrain "Weyer.CaraMunich II"           .76      45.5    35.1956
oldgrain "Weyer.CaraMunich III"          .76      56.5    35.1956
oldgrain "Weyermann Lt Wheat"             .85      2.0     39.3635
oldgrain "Weyermann Dark Wheat"              .84      6.55    38.9004
oldgrain "Weyermann CaraWheat"           .755     45.5    34.9640
oldgrain "Weyermann Choc.Wheat"         .71      412.5   32.8801
oldgrain "Weyermann Carafa I"                .70      337.5   32.417
oldgrain "Weyermann Carafa II"               .70      412.5   32.417
oldgrain "Weyermann Carafa III"              .70      525.5   32.417
oldgrain "WeyermannDHCarafa 1"             .70      337.5   32.417
oldgrain "WeyermannDHCarafa 2"            .70      412.5   32.417
oldgrain "WeyermannDHCarafa 3"           .70      469.0   32.417
oldgrain "Weyermann Rye Malt"                .85      2.65    39.3635
oldgrain "Weyermann Choc. Rye"           .675     244.0   31.2592
oldgrain "Weyermann Melanoidin"         .795     26.5    36.8164
oldgrain "Weyermann Smoked"        .795     2.75    36.8164
oldgrain "BriessPilsenLightDME" .75      2      45.00
oldgrain "BriessGoldenLightDME" .75      4      45.00
oldgrain "MuntunsExtraLightDME" .75      3      45.00
oldgrain "MuntunsLightDME"      .75      5      45.00
oldgrain "WhiteWheatMalt"       .840    2.5     38.90
oldgrain "Red Wheat Malt"       .790    2.3     36.58
oldgrain "Rice Hulls"             0      0       0

